package com.bcxin.identify.business.dao;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.identify.business.domain.ysp.PerVideoRoom;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * <b>  </b>
 * @author ZXF
 * @create 2020/06/19 0019 17:40
 * @version
 * @注意事项 </b>
 */
@Component
@Mapper
public interface PerVideoRoomMapper extends BaseMapper<PerVideoRoom> {

    int insertPerVideoRoom(PerVideoRoom perVideoRoom);

    int insertBatchPerVideoRoom(@Param("list") List<PerVideoRoom> list);

    int updateVideo(PerVideoRoom perVideoRoom);

    int updateStatus(@Param("perVideoRoomId") Long perVideoRoomId, @Param("Status") String Status);

    PerVideoRoom get(@Param("perVideoRoomId") Long perVideoRoomId);

    PerVideoRoom getByUseidAndCid(@Param("roomNo") String roomNo, @Param("useid") String useid);

    PerVideoRoom getPerVideoRoomFileId(@Param("file_id") String file_id);

    List<Map<String,String>> findPerVideoRoomByRoomId(@Param("comVideoRoomId") Long comVideoRoomId);
}